Appearance
Update contact details ​
PUT
/v1/reservations/{reservation_id}/contact-details
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Path Parameters
reservation_id*
XS2event ID of the Reservation
Type
Requiredstring
Request Body​
application/json
JSON"first_name": "string","last_name": "string","street_name": null,"number": null,"phonenumber": "string","postalcode": null,"city": null,"iso_country": "string","preferred_contact_language": "string","marketing_optin": false,"reservation_id": null
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Responses​
OK
application/json
JSON"first_name": null,"last_name": null,"street_name": null,"number": null,"phonenumber": null,"postalcode": null,"city": null,"iso_country": null,"marketing_optin": false,"preferred_contact_language": null,"reservation_id": null
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}